Bug 218726 - digikam always crashes at startup with segmentation fault
Summary: digikam always crashes at startup with segmentation fault
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Scan (show other bugs)
Version: 1.0.0
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-14 23:16 UTC by servius
Modified: 2019-12-25 17:19 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description servius 2009-12-14 23:16:27 UTC
Application that crashed: digikam
Version of the application: 1.0.0-beta5
KDE Version: 4.3.2 (KDE 4.3.2)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-16-generic i686
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
System used : ubuntu 9.10
digikam is unusable (was OK with ubuntu 9.03). Bug report provided hereafter :

Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb7899700 (LWP 19055))]

Thread 2 (Thread 0xb61deb70 (LWP 19056)):
[KCrash Handler]
#6  0x0194f006 in memcpy () from /lib/tls/i686/cmov/libc.so.6
#7  0x0849ce60 in typeinfo for Digikam::ThumbBarItem ()
#8  0x0730f1ea in QVectorData::malloc(int, int, int, QVectorData*) () from /usr/lib/libQtCore.so.4
#9  0x0234df2f in ?? () from /usr/lib/kde4/plugins/imageformats/kimg_xcf.so
#10 0x0234e450 in ?? () from /usr/lib/kde4/plugins/imageformats/kimg_xcf.so
#11 0x02345006 in ?? () from /usr/lib/kde4/plugins/imageformats/kimg_xcf.so
#12 0x0234cc7d in ?? () from /usr/lib/kde4/plugins/imageformats/kimg_xcf.so
#13 0x0234d617 in ?? () from /usr/lib/kde4/plugins/imageformats/kimg_xcf.so
#14 0x0234dc00 in ?? () from /usr/lib/kde4/plugins/imageformats/kimg_xcf.so
#15 0x04a5d88c in QImageReader::read(QImage*) () from /usr/lib/libQtGui.so.4
#16 0x04a5de37 in QImageReader::read() () from /usr/lib/libQtGui.so.4
#17 0x04a4fd32 in QImage::load(QString const&, char const*) () from /usr/lib/libQtGui.so.4
#18 0x04a4ffaa in QImage::QImage(QString const&, char const*) () from /usr/lib/libQtGui.so.4
#19 0x012cf83a in Digikam::QImageLoader::load(QString const&, Digikam::DImgLoaderObserver*) () from /usr/lib/libdigikamcore.so.1
#20 0x012b4025 in Digikam::DImg::load(QString const&, int, Digikam::DImgLoaderObserver*, Digikam::DRawDecoding) () from /usr/lib/libdigikamcore.so.1
#21 0x012b4cad in Digikam::DImg::loadImageInfo(QString const&, bool, bool, bool) () from /usr/lib/libdigikamcore.so.1
#22 0x034831e5 in Digikam::ImageScanner::loadFromDisk() () from /usr/lib/libdigikamdatabase.so.1
#23 0x03489012 in Digikam::ImageScanner::rescan() () from /usr/lib/libdigikamdatabase.so.1
#24 0x03434a80 in Digikam::CollectionScanner::rescanFile(QFileInfo const&, Digikam::ItemScanInfo const&) () from /usr/lib/libdigikamdatabase.so.1
#25 0x03434d49 in Digikam::CollectionScanner::scanFileNormal(QFileInfo const&, Digikam::ItemScanInfo const&) () from /usr/lib/libdigikamdatabase.so.1
#26 0x03435b35 in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) () from /usr/lib/libdigikamdatabase.so.1
#27 0x03435f40 in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) () from /usr/lib/libdigikamdatabase.so.1
#28 0x03436817 in Digikam::CollectionScanner::scanAlbumRoot(Digikam::CollectionLocation const&) () from /usr/lib/libdigikamdatabase.so.1
#29 0x03436b4f in Digikam::CollectionScanner::completeScan() () from /usr/lib/libdigikamdatabase.so.1
#30 0x034971dc in ?? () from /usr/lib/libdigikamdatabase.so.1
#31 0x03498394 in ?? () from /usr/lib/libdigikamdatabase.so.1
#32 0x03499c00 in ?? () from /usr/lib/libdigikamdatabase.so.1
#33 0x0349a3a8 in ?? () from /usr/lib/libdigikamdatabase.so.1
#34 0x0344c02b in Digikam::DatabaseBackend::initSchema(Digikam::SchemaUpdater*) () from /usr/lib/libdigikamdatabase.so.1
#35 0x03447506 in Digikam::DatabaseAccess::checkReadyForUse(Digikam::InitializationObserver*) () from /usr/lib/libdigikamdatabase.so.1
#36 0x0830a104 in ?? ()
#37 0x072b9e32 in ?? () from /usr/lib/libQtCore.so.4
#38 0x00e0380e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#39 0x019a67ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb7899700 (LWP 19055)):
#0  0x00a86422 in __kernel_vsyscall ()
#1  0x00e07e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x019b378d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x072bae67 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0x072b9ec9 in QThread::wait(unsigned long) () from /usr/lib/libQtCore.so.4
#5  0x08309f24 in ?? ()
#6  0x0830dbf1 in ?? ()
#7  0x0830dd8a in ?? ()
#8  0x0190905f in ?? () from /lib/tls/i686/cmov/libc.so.6
#9  0x019090cf in exit () from /lib/tls/i686/cmov/libc.so.6
#10 0x049ffd8b in ?? () from /usr/lib/libQtGui.so.4
#11 0x0676754a in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#12 0x06767586 in ?? () from /usr/lib/libkdeui.so.5
#13 0x03a732e6 in _XIOError () from /usr/lib/libX11.so.6
#14 0x03a7af8a in ?? () from /usr/lib/libX11.so.6
#15 0x03a7b8c6 in _XEventsQueued () from /usr/lib/libX11.so.6
#16 0x03a645ff in XEventsQueued () from /usr/lib/libX11.so.6
#17 0x04a3ddb5 in ?? () from /usr/lib/libQtGui.so.4
#18 0x079c6cc1 in g_main_context_check () from /lib/libglib-2.0.so.0
#19 0x079c746c in ?? () from /lib/libglib-2.0.so.0
#20 0x079c7853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#21 0x073d502c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#22 0x04a3dbe5 in ?? () from /usr/lib/libQtGui.so.4
#23 0x073a8c79 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#24 0x073a90ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#25 0x0830cb1e in ?? ()
#26 0x08262d2d in ?? ()
#27 0x083a4af4 in ?? ()
#28 0x018f0b56 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#29 0x0809fe91 in _start ()

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb7899700 (LWP 19055))]

Thread 2 (Thread 0xb61deb70 (LWP 19056)):
[KCrash Handler]
#6  0x0194f006 in memcpy () from /lib/tls/i686/cmov/libc.so.6
#7  0x0849ce60 in typeinfo for Digikam::ThumbBarItem ()
#8  0x0730f1ea in QVectorData::malloc (sizeofTypedData=28, size=44739241, sizeofT=12, init=0x0) at /usr/include/bits/string3.h:52
#9  0x0234df2f in QVector<QImage>::realloc (this=0xa5f96028, asize=40386163, aalloc=44739241) at /usr/include/qt4/QtCore/qvector.h:455
#10 0x0234e450 in QVector<QImage>::resize (this=0xa5f96028, asize=40386163) at /usr/include/qt4/QtCore/qvector.h:321
#11 0x02345006 in XCFImageFormat::composeTiles (this=0xb61dd06f, xcf_image=...) at ../../kimgio/xcf.cpp:495
#12 0x0234cc7d in XCFImageFormat::loadLayer (this=0xb61dd06f, xcf_io=..., xcf_image=...) at ../../kimgio/xcf.cpp:362
#13 0x0234d617 in XCFImageFormat::readXCF (this=0xb61dd06f, device=0xb4c28028, outImage=0xb61dd174) at ../../kimgio/xcf.cpp:156
#14 0x0234dc00 in XCFHandler::read (this=0xb4c11328, image=0xb61dd174) at ../../kimgio/xcf.cpp:2308
#15 0x04a5d88c in QImageReader::read (this=0xb61dd1d8, image=0xb61dd174) at image/qimagereader.cpp:1077
#16 0x04a5de37 in QImageReader::read (this=0xb61dd1d8) at image/qimagereader.cpp:1027
#17 0x04a4fd32 in QImage::load (this=0xb61dd2bc, fileName=..., format=0x0) at image/qimage.cpp:4566
#18 0x04a4ffaa in QImage (this=0xb61dd2bc, fileName=..., format=0x0) at image/qimage.cpp:1013
#19 0x012cf83a in Digikam::QImageLoader::load (this=0xb61dd550, filePath=..., observer=0x0) at /build/buildd/digikam-1.0.0~beta5/libs/dimg/loaders/qimageloader.cpp:51
#20 0x012b4025 in Digikam::DImg::load (this=0xb61dd7dc, filePath=..., loadFlagsInt=1, observer=0x0, rawDecodingSettings=...) at /build/buildd/digikam-1.0.0~beta5/libs/dimg/dimg.cpp:483
#21 0x012b4cad in Digikam::DImg::loadImageInfo (this=0xb61dd7dc, filePath=..., loadMetadata=false, loadICCData=false, loadUniqueHash=false) at /build/buildd/digikam-1.0.0~beta5/libs/dimg/dimg.cpp:332
#22 0x034831e5 in Digikam::ImageScanner::loadFromDisk (this=0xb61dd7cc) at /build/buildd/digikam-1.0.0~beta5/libs/database/imagescanner.cpp:530
#23 0x03489012 in Digikam::ImageScanner::rescan (this=0xb61dd7cc) at /build/buildd/digikam-1.0.0~beta5/libs/database/imagescanner.cpp:104
#24 0x03434a80 in Digikam::CollectionScanner::rescanFile (this=0xb61ddd04, info=..., scanInfo=...) at /build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:744
#25 0x03434d49 in Digikam::CollectionScanner::scanFileNormal (this=0xb61ddd04, fi=..., scanInfo=...) at /build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:681
#26 0x03435b35 in Digikam::CollectionScanner::scanAlbum (this=0xb61ddd04, location=..., album=...) at /build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:626
#27 0x03435f40 in Digikam::CollectionScanner::scanAlbum (this=0xb61ddd04, location=..., album=...) at /build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:655
#28 0x03436817 in Digikam::CollectionScanner::scanAlbumRoot (this=0xb61ddd04, location=...) at /build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:451
#29 0x03436b4f in Digikam::CollectionScanner::completeScan (this=0xb61ddd04) at /build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:228
#30 0x034971dc in Digikam::SchemaUpdater::updateV4toV5 (this=0xb61de234) at /build/buildd/digikam-1.0.0~beta5/libs/database/schemaupdater.cpp:1056
#31 0x03498394 in Digikam::SchemaUpdater::makeUpdates (this=0xb61de234) at /build/buildd/digikam-1.0.0~beta5/libs/database/schemaupdater.cpp:252
#32 0x03499c00 in Digikam::SchemaUpdater::startUpdates (this=0xb61de234) at /build/buildd/digikam-1.0.0~beta5/libs/database/schemaupdater.cpp:169
#33 0x0349a3a8 in Digikam::SchemaUpdater::update (this=0xb61de234) at /build/buildd/digikam-1.0.0~beta5/libs/database/schemaupdater.cpp:86
#34 0x0344c02b in Digikam::DatabaseBackend::initSchema (this=0x89d4fc0, updater=0xb61de234) at /build/buildd/digikam-1.0.0~beta5/libs/database/databasebackend.cpp:72
#35 0x03447506 in Digikam::DatabaseAccess::checkReadyForUse (observer=0x8a44f40) at /build/buildd/digikam-1.0.0~beta5/libs/database/databaseaccess.cpp:246
#36 0x0830a104 in Digikam::ScanController::run (this=0x8a44f38) at /build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:508
#37 0x072b9e32 in QThreadPrivate::start (arg=0x8a44f38) at thread/qthread_unix.cpp:188
#38 0x00e0380e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#39 0x019a67ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb7899700 (LWP 19055)):
#0  0x00a86422 in __kernel_vsyscall ()
#1  0x00e07e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x019b378d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x072bae67 in QWaitConditionPrivate::wait (this=0x8a36e68, mutex=0x8a36e54, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8a36e68, mutex=0x8a36e54, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x072b9ec9 in QThread::wait (this=0x8a44f38, time=4294967295) at thread/qthread_unix.cpp:484
#6  0x08309f24 in Digikam::ScanController::shutDown (this=0x8a44f38) at /build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:288
#7  0x0830dbf1 in ~ScanController (this=0x8a44f38, __in_chrg=<value optimized out>) at /build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:271
#8  0x0830dd8a in ~ScanControllerCreator () at /build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:219
#9  destroy () at /build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:220
#10 0x0190905f in ?? () from /lib/tls/i686/cmov/libc.so.6
#11 0x019090cf in exit () from /lib/tls/i686/cmov/libc.so.6
#12 0x049ffd8b in qt_xio_errhandler () at kernel/qapplication_x11.cpp:707
#13 0x0676754a in KApplication::xioErrhandler (this=0xbfff097c, dpy=0x8986d10) at ../../kdeui/kernel/kapplication.cpp:408
#14 0x06767586 in kde_xio_errhandler (dpy=0x8986d10) at ../../kdeui/kernel/kapplication.cpp:125
#15 0x03a732e6 in _XIOError () from /usr/lib/libX11.so.6
#16 0x03a7af8a in ?? () from /usr/lib/libX11.so.6
#17 0x03a7b8c6 in _XEventsQueued () from /usr/lib/libX11.so.6
#18 0x03a645ff in XEventsQueued () from /usr/lib/libX11.so.6
#19 0x04a3ddb5 in x11EventSourceCheck (s=0x896ed00) at kernel/qguieventdispatcher_glib.cpp:87
#20 0x079c6cc1 in g_main_context_check () from /lib/libglib-2.0.so.0
#21 0x079c746c in ?? () from /lib/libglib-2.0.so.0
#22 0x079c7853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#23 0x073d502c in QEventDispatcherGlib::processEvents (this=0x8945e80, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#24 0x04a3dbe5 in QGuiEventDispatcherGlib::processEvents (this=0x8945e80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#25 0x073a8c79 in QEventLoop::processEvents (this=0x8a43ae0, flags=) at kernel/qeventloop.cpp:149
#26 0x073a90ca in QEventLoop::exec (this=0x8a43ae0, flags=...) at kernel/qeventloop.cpp:201
#27 0x0830cb1e in Digikam::ScanController::databaseInitialization (this=0x8a44f38) at /build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:345
#28 0x08262d2d in Digikam::AlbumManager::setDatabase (this=0x8a51898, dbPath=..., priority=false, suggestedAlbumRoot=...) at /build/buildd/digikam-1.0.0~beta5/digikam/albummanager.cpp:620
#29 0x083a4af4 in main (argc=5, argv=0xbfff0dd4) at /build/buildd/digikam-1.0.0~beta5/digikam/main.cpp:160

Reported using DrKonqi
Comment 1 Nicolas L. 2009-12-14 23:19:42 UTC
please install the debug packages and paste the new crash log
Comment 2 servius 2009-12-14 23:33:38 UTC
Nicolas Lécureuil a écrit :
> https://bugs.kde.org/show_bug.cgi?id=218726
>
>
> Nicolas Lécureuil <nlecureuil@mandriva.com> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |nlecureuil@mandriva.com
>
>
>
>
> --- Comment #1 from Nicolas Lécureuil <nlecureuil mandriva com>  2009-12-14 23:19:42 ---
> please install the debug packages and paste the new crash log
>
>   

New crash log obtained after debug packages installation :


Application: digiKam (digikam), signal: Segmentation fault

[Current thread is 1 (Thread 0xb692d700 (LWP 19872))]

Thread 2 (Thread 0xb5272b70 (LWP 19873)):

[KCrash Handler]

#6 0x05be6006 in memcpy () from /lib/tls/i686/cmov/libc.so.6

#7 0x0849ce60 in typeinfo for Digikam::ThumbBarItem ()

#8 0x035331ea in QVectorData::malloc (sizeofTypedData=28, size=44739241, 
sizeofT=12, init=0x0) at /usr/include/bits/string3.h:52

#9 0x02378f2f in QVector<QImage>::realloc (this=0xa4f96028, 
asize=40386163, aalloc=44739241) at /usr/include/qt4/QtCore/qvector.h:455

#10 0x02379450 in QVector<QImage>::resize (this=0xa4f96028, 
asize=40386163) at /usr/include/qt4/QtCore/qvector.h:321

#11 0x02370006 in XCFImageFormat::composeTiles (this=0xb527106f, 
xcf_image=...) at ../../kimgio/xcf.cpp:495

#12 0x02377c7d in XCFImageFormat::loadLayer (this=0xb527106f, 
xcf_io=..., xcf_image=...) at ../../kimgio/xcf.cpp:362

#13 0x02378617 in XCFImageFormat::readXCF (this=0xb527106f, 
device=0xb3ef7bc8, outImage=0xb5271174) at ../../kimgio/xcf.cpp:156

#14 0x02378c00 in XCFHandler::read (this=0xb3ef9b40, image=0xb5271174) 
at ../../kimgio/xcf.cpp:2308

#15 0x0161588c in QImageReader::read (this=0xb52711d8, image=0xb5271174) 
at image/qimagereader.cpp:1077

#16 0x01615e37 in QImageReader::read (this=0xb52711d8) at 
image/qimagereader.cpp:1027

#17 0x01607d32 in QImage::load (this=0xb52712bc, fileName=..., 
format=0x0) at image/qimage.cpp:4566

#18 0x01607faa in QImage (this=0xb52712bc, fileName=..., format=0x0) at 
image/qimage.cpp:1013

#19 0x0107183a in Digikam::QImageLoader::load (this=0xb5271550, 
filePath=..., observer=0x0) at 
/build/buildd/digikam-1.0.0~beta5/libs/dimg/loaders/qimageloader.cpp:51

#20 0x01056025 in Digikam::DImg::load (this=0xb52717dc, filePath=..., 
loadFlagsInt=1, observer=0x0, rawDecodingSettings=...) at 
/build/buildd/digikam-1.0.0~beta5/libs/dimg/dimg.cpp:483

#21 0x01056cad in Digikam::DImg::loadImageInfo (this=0xb52717dc, 
filePath=..., loadMetadata=false, loadICCData=false, 
loadUniqueHash=false) at 
/build/buildd/digikam-1.0.0~beta5/libs/dimg/dimg.cpp:332

#22 0x02a011e5 in Digikam::ImageScanner::loadFromDisk (this=0xb52717cc) 
at /build/buildd/digikam-1.0.0~beta5/libs/database/imagescanner.cpp:530

#23 0x02a07012 in Digikam::ImageScanner::rescan (this=0xb52717cc) at 
/build/buildd/digikam-1.0.0~beta5/libs/database/imagescanner.cpp:104

#24 0x029b2a80 in Digikam::CollectionScanner::rescanFile 
(this=0xb5271d04, info=..., scanInfo=...) at 
/build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:744

#25 0x029b2d49 in Digikam::CollectionScanner::scanFileNormal 
(this=0xb5271d04, fi=..., scanInfo=...) at 
/build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:681

#26 0x029b3b35 in Digikam::CollectionScanner::scanAlbum 
(this=0xb5271d04, location=..., album=...) at 
/build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:626

#27 0x029b3f40 in Digikam::CollectionScanner::scanAlbum 
(this=0xb5271d04, location=..., album=...) at 
/build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:655

#28 0x029b4817 in Digikam::CollectionScanner::scanAlbumRoot 
(this=0xb5271d04, location=...) at 
/build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:451

#29 0x029b4b4f in Digikam::CollectionScanner::completeScan 
(this=0xb5271d04) at 
/build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:228

#30 0x02a151dc in Digikam::SchemaUpdater::updateV4toV5 (this=0xb5272234) 
at /build/buildd/digikam-1.0.0~beta5/libs/database/schemaupdater.cpp:1056

#31 0x02a16394 in Digikam::SchemaUpdater::makeUpdates (this=0xb5272234) 
at /build/buildd/digikam-1.0.0~beta5/libs/database/schemaupdater.cpp:252

#32 0x02a17c00 in Digikam::SchemaUpdater::startUpdates (this=0xb5272234) 
at /build/buildd/digikam-1.0.0~beta5/libs/database/schemaupdater.cpp:169

#33 0x02a183a8 in Digikam::SchemaUpdater::update (this=0xb5272234) at 
/build/buildd/digikam-1.0.0~beta5/libs/database/schemaupdater.cpp:86

#34 0x029ca02b in Digikam::DatabaseBackend::initSchema (this=0x92b5090, 
updater=0xb5272234) at 
/build/buildd/digikam-1.0.0~beta5/libs/database/databasebackend.cpp:72

#35 0x029c5506 in Digikam::DatabaseAccess::checkReadyForUse 
(observer=0x92a9fc0) at 
/build/buildd/digikam-1.0.0~beta5/libs/database/databaseaccess.cpp:246

#36 0x0830a104 in Digikam::ScanController::run (this=0x92a9fb8) at 
/build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:508

#37 0x034dde32 in QThreadPrivate::start (arg=0x92a9fb8) at 
thread/qthread_unix.cpp:188

#38 0x00f9580e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0

#39 0x05c3d7ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb692d700 (LWP 19872)):

#0 0x008e8422 in __kernel_vsyscall ()

#1 0x00f99e15 in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib/tls/i686/cmov/libpthread.so.0

#2 0x05c4a78d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6

#3 0x034dee67 in QWaitConditionPrivate::wait (this=0x929bf00, 
mutex=0x929beec, time=4294967295) at thread/qwaitcondition_unix.cpp:87

#4 QWaitCondition::wait (this=0x929bf00, mutex=0x929beec, 
time=4294967295) at thread/qwaitcondition_unix.cpp:159

#5 0x034ddec9 in QThread::wait (this=0x92a9fb8, time=4294967295) at 
thread/qthread_unix.cpp:484

#6 0x08309f24 in Digikam::ScanController::shutDown (this=0x92a9fb8) at 
/build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:288

#7 0x0830dbf1 in ~ScanController (this=0x92a9fb8, __in_chrg=<value 
optimized out>) at 
/build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:271

#8 0x0830dd8a in ~ScanControllerCreator () at 
/build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:219

#9 destroy () at 
/build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:220

#10 0x05ba005f in ?? () from /lib/tls/i686/cmov/libc.so.6

#11 0x05ba00cf in exit () from /lib/tls/i686/cmov/libc.so.6

#12 0x015b7d8b in qt_xio_errhandler () at kernel/qapplication_x11.cpp:707

#13 0x04d3354a in KApplication::xioErrhandler (this=0xbf986b5c, 
dpy=0x91ebd10) at ../../kdeui/kernel/kapplication.cpp:408

#14 0x04d33586 in kde_xio_errhandler (dpy=0x91ebd10) at 
../../kdeui/kernel/kapplication.cpp:125

#15 0x068742e6 in _XIOError () from /usr/lib/libX11.so.6

#16 0x0687bf8a in ?? () from /usr/lib/libX11.so.6

#17 0x0687c8c6 in _XEventsQueued () from /usr/lib/libX11.so.6

#18 0x068655ff in XEventsQueued () from /usr/lib/libX11.so.6

#19 0x015f5db5 in x11EventSourceCheck (s=0x91d3d00) at 
kernel/qguieventdispatcher_glib.cpp:87

#20 0x01fd6cc1 in g_main_context_check () from /lib/libglib-2.0.so.0

#21 0x01fd746c in ?? () from /lib/libglib-2.0.so.0

#22 0x01fd7853 in g_main_context_iteration () from /lib/libglib-2.0.so.0

#23 0x035f902c in QEventDispatcherGlib::processEvents (this=0x91aae80, 
flags=...) at kernel/qeventdispatcher_glib.cpp:327

#24 0x015f5be5 in QGuiEventDispatcherGlib::processEvents 
(this=0x91aae80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202

#25 0x035ccc79 in QEventLoop::processEvents (this=0x92a8718, flags=) at 
kernel/qeventloop.cpp:149

#26 0x035cd0ca in QEventLoop::exec (this=0x92a8718, flags=...) at 
kernel/qeventloop.cpp:201

#27 0x0830cb1e in Digikam::ScanController::databaseInitialization 
(this=0x92a9fb8) at 
/build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:345

#28 0x08262d2d in Digikam::AlbumManager::setDatabase (this=0x92b6838, 
dbPath=..., priority=false, suggestedAlbumRoot=...) at 
/build/buildd/digikam-1.0.0~beta5/digikam/albummanager.cpp:620

#29 0x083a4af4 in main (argc=5, argv=0xbf986fb4) at 
/build/buildd/digikam-1.0.0~beta5/digikam/main.cpp:160
Comment 3 caulier.gilles 2009-12-15 08:56:25 UTC
No. 

Install digiKam 1.0.0-rc

Gilles Caulier
Comment 4 Christoph Feck 2009-12-15 10:15:37 UTC
This could be a duplicate of bug 214384. If this isn't fixed with KDE 4.3.4, please attach the XCF file that causes the crash.
Comment 5 caulier.gilles 2009-12-25 20:11:07 UTC
digiKam 1.0.0 is out since few days...

http://www.digikam.org/drupal/node/491

Please try with this version coming with more than 400 bug-fixes.

Thanks in advance

Gilles Caulier
Comment 6 caulier.gilles 2010-01-25 21:52:03 UTC
digiKam 1.1. release will be done in few days. Please check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 7 Christoph Feck 2010-01-25 22:35:54 UTC
See comment #4. The fix depends on KDE SC 4.3.4, it is not enough to upgrade digiKam only. Please reopen only if you get the bug with updated KDE libraries.

*** This bug has been marked as a duplicate of bug 214384 ***
Comment 8 caulier.gilles 2019-12-25 17:19:41 UTC
Not reproducible using digiKam 7.0.0 beta1.